### Method

# RB ExtDB store_uri

#### Declaration [src]

    void
    rb_ext_db_store_uri (
      RBExtDB* store,
      RBExtDBKey* key,
      RBExtDBSourceType source_type,
      const char* uri
    )

#### Description [src]

Stores an item identified by `uri` in the metadata store so that lookups matching `key` will return it.

#### Parameters

`key`

  Type: `RBExtDBKey`

  Metadata storage key.

  The data is owned by the caller of the method.

`source_type`

  Type: `RBExtDBSourceType`

  Metadata source type.

`uri`

  Type: `const char*`

  URI of the item to store.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.